Measurments
List perio measurements
This endpoint is not yet available in production.
This endpoint retrieves appointments for a specific location.
- The
q[fetch_modified_since]is used to capture the delta changes, pass the datetime in UTC
GET
/
locations
/
{location_id}
/
patients
/
{patient_id}
/
perio_charts
/
{perio_chart_id}
/
perio_measurements
List perio measurements
curl --request GET \
--url https://app.teamcaredental.com/api/v1/vendors/locations/{location_id}/patients/{patient_id}/perio_charts/{perio_chart_id}/perio_measurements \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.teamcaredental.com/api/v1/vendors/locations/{location_id}/patients/{patient_id}/perio_charts/{perio_chart_id}/perio_measurements"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.teamcaredental.com/api/v1/vendors/locations/{location_id}/patients/{patient_id}/perio_charts/{perio_chart_id}/perio_measurements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "2",
"type": "perio_measurement",
"attributes": {
"perio_chart_id": 1,
"tooth_number": 2,
"measurements": {
"fg_cf": 0,
"fg_cl": 0,
"fg_df": 0,
"fg_dl": 0,
"fg_mf": 0,
"fg_ml": 0,
"gm_cf": 1,
"gm_cl": 1,
"gm_df": 1,
"gm_dl": 1,
"gm_mf": 1,
"gm_ml": 1,
"mj_cf": 5,
"mj_cl": 5,
"mj_df": 5,
"mj_dl": 5,
"mj_mf": 5,
"mj_ml": 5,
"pd_cf": 2,
"pd_cl": 2,
"pd_df": 3,
"pd_dl": 3,
"pd_mf": 3,
"pd_ml": 2,
"missing": false,
"mobility": 1,
"plaque_cf": true,
"plaque_cl": false,
"plaque_df": false,
"plaque_dl": false,
"plaque_mf": true,
"plaque_ml": true,
"bleeding_cf": false,
"bleeding_cl": false,
"bleeding_df": true,
"bleeding_dl": true,
"bleeding_mf": true,
"bleeding_ml": false,
"calculus_cf": false,
"calculus_cl": false,
"calculus_df": true,
"calculus_dl": false,
"calculus_mf": false,
"calculus_ml": false,
"suppuration_cf": false,
"suppuration_cl": false,
"suppuration_df": false,
"suppuration_dl": false,
"suppuration_mf": false,
"suppuration_ml": false
},
"deleted": false,
"updated_at": "2026-07-02T06:23:59.327Z"
}
}
],
"pagy": {
"total": 0,
"items": 0
}
}{
"errors": "not authorized"
}{
"errors": "access Denied"
}{
"errors": "resource not found"
}{
"errors": "..."
}{
"errors": "Too many locations syncing concurrently. At most 5 locations may have initial sync requests in flight at a time.",
"sync_type": "initial",
"max_concurrent_locations": 5,
"active_location_ids": [
101,
102,
103,
104,
105
],
"retry_after_seconds": 1
}Authorizations
JWT returned by POST /auth/token. Valid for six hours.
Path Parameters
The ID of the location for which patients are to be retrieved.
⌘I
List perio measurements

